GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
List of all members
gridfire::exceptions::JacobianError Class Reference

Base class for Jacobian-related exceptions. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::JacobianError:
[legend]
Collaboration diagram for gridfire::exceptions::JacobianError:
[legend]

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Base class for Jacobian-related exceptions.

This class serves as the base for all exceptions specific to Jacobian matrix operations in the reaction network engine.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h